CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Cesky English Deutsch
Login/Register:
 Visitors: 2936 

CAD tip CAD tip # 6972:

Question CAD 
 %  platform  category 
Q - question

How to remove arc segments from Pline?

A - answer If you want to remove all arc segments from a polyline - replace them by straight lines - use the PEDIT and its option Decurve.

To process multiple polylines, you can use the following LISP code (REMARC command):

(defun C:REMARC ( / i ssl ss e)
 (setq ss (ssget "_X" '((0 . "LWPOLYLINE"))))
 (setq i 0  ssl (sslength ss))
 (while (< i ssl)
  (setq e (ssname ss i))
  (command "_PEDIT" e "_De" "")
  (setq i (1+ i))
 )
 (princ)
)
ACADLTADT
100% *  CAD 
6.10.2009    6146x  
Comments   Tell a friend

See also:
Tip 10576:How to batch convert lines and arcs to polylines?
Tip 10231:How to draw spiral in AutoCAD LT?
Tip 7998:How to change a straight polyline segment to arc segment?
Tip 6955:Simply add or delete a polyline vertex.
Tip 6167:The OVERKILL command reports an "Invalid option keyword" error.


Back   All CAD Tips All CAD tips&tricks

Not feeling like an architect? Leave the hard work to machines :-) « | » Fading xrefs in AutoCAD.

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Use Google Earth images in your AutoCAD projects with the Plex.Earth Tools More info


Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist